# $Revision: 1.58 $, $Date: 2011/09/30 06:56:00 $
Summary:	A tool for determining compilation options
Summary(pl.UTF-8):	Narzędzie do ustalania opcji kompilacji
Summary(pt_BR.UTF-8):	Ferramenta para determinar opções de compilação
Summary(ru.UTF-8):	Инструмент для определения опций компиляции
Summary(uk.UTF-8):	Інструмент для визначення опцій компіляції
Name:		pkgconfig
Version:	0.26
Release:	4
Epoch:		1
License:	GPL v2+
Group:		Development/Tools
Source0:	http://pkgconfig.freedesktop.org/releases/pkg-config-%{version}.tar.gz
# Source0-md5:	47525c26a9ba7ba14bf85e01509a7234
URL:		http://pkgconfig.freedesktop.org/wiki/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel
BuildRequires:	libtool
BuildRequires:	popt-devel
Provides:	pkg-config = %{version}-%{release}
Provides:	pkgconfig(pkg-config) = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
pkgconfig is a tool for determining compilation options. For each
required library it reads a configuration file installed in a standard
option and ouputs the necessary compiler and linker flags.

%description -l pl.UTF-8
pkgconfig jest programem używanym do uzyskiwania informacji o
zainstalowanych w systemie bibliotekach.

%description -l pt_BR.UTF-8
A ferramenta pkgconfig determina opções de compilação. Para cada
biblioteca requerida a ferramenta lê seus arquivos de configuração e
emite as opções necessárias para o compilador e ligador.

%description -l ru.UTF-8
pkgconfig - это инструмент для определения опций компиляции. Для
каждой необходимой библиотеки он считывает конфигурационный файл и
выдает необходимые флаги компилятора и линкера.

%description -l uk.UTF-8
pkgconfig - це інструмент для визначення опцій компіляції. Для кожної
необхідної бібліотеки він зчитує конфігураційний файл та видає
потрібні флаги компілятора та лінкера.

%prep
%setup -q -n pkg-config-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
GLIB_CFLAGS="-I/usr/include/glib-2.0 -I%{_libdir}/glib-2.0/include" \
GLIB_LIBS="-lglib-2.0" \
%configure \
	--with-installed-popt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4dir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README pkg-config-guide.html
%attr(755,root,root) %{_bindir}/pkg-config
%{_aclocaldir}/pkg.m4
%{_mandir}/man1/pkg-config.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pkgconfig.spec,v $
Revision 1.58  2011/09/30 06:56:00  arekm
- rel 4; typo

Revision 1.57  2011/09/30 06:19:33  wiget
- provide pkgconfig(pkg-config) for compatibility with "/usr/lib/rpm/pkgconfigdeps.sh"

Revision 1.56  2011/09/30 06:02:55  wiget
- rel. 2

Revision 1.55  2011/05/15 14:41:33  megabajt
- updated to 0.26
- use system popt

Revision 1.54  2010/11/19 11:08:27  hawk
- release 4

Revision 1.53  2010/11/08 22:02:14  shadzik
- rel 3

Revision 1.52  2010/07/14 21:25:27  qboosh
- added ac patch to fix pkg.m4 incompatibility with autoconf 2.66
- release 2

Revision 1.51  2010/05/28 18:40:01  qboosh
- package pkg-config-guide as doc
- updated note: system popt is supported now

Revision 1.50  2010/05/28 16:49:20  megabajt
- updated to 0.25
- more verbose files

Revision 1.49  2009/11/28 02:17:46  sparky
- %undefine __cxx - to prevent configure from looking for c++ compiler

Revision 1.48  2008/02/09 22:34:59  qboosh
- updated to 0.23

Revision 1.47  2007-06-24 09:35:09  qboosh
- updated to 0.22

Revision 1.46  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.45  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.44  2006/10/30 14:45:05  glen
- pkgconfig dirs owned by filesystem; rel 2

Revision 1.43  2006/08/18 13:40:05  qboosh
- updated to 0.21

Revision 1.42  2005/10/18 22:29:10  qboosh
- updated to 0.20

Revision 1.41  2005/08/21 15:36:26  wiget
- new URL, provides pkg-config

Revision 1.40  2005/07/17 21:05:08  qboosh
- updated to 0.19 (back to pkgconfig instead of pkg-config in *.pc paths)
- added dir for noarch *.pc files

Revision 1.39  2005/07/02 09:15:53  qboosh
- restored old pc path, release 2

Revision 1.38  2005/06/29 17:44:44  qboosh
- updated to 0.18.1

Revision 1.37  2005/04/15 21:49:19  qboosh
- updated to 0.17.2 (fixes possible infinite loop)

Revision 1.36  2005/04/13 17:45:22  qboosh
- added missing docs

Revision 1.35  2005/04/13 05:33:23  paszczus
- updated to 0.17.1 ; STBR

Revision 1.34  2005/04/12 16:15:19  paszczus
- updated to 0.17 ; STBR

Revision 1.33  2005/03/27 20:47:44  arekm
- up to 0.16.0

Revision 1.32  2005/03/26 23:29:55  mmazur
- rel 5 for th

Revision 1.31  2004/10/24 20:26:29  paladine
- spelling fixes, uppercases, etc.

Revision 1.30  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.29  2004/01/28 18:19:40  qboosh
- refresh config.sub for amd64; release 4

Revision 1.28  2003/12/13 21:42:35  qboosh
- removed outdated, breaking patch (not applied anyway)
- added am18 patch (pkg.m4 quotation fix)
- fixed URL, release 3

Revision 1.27  2003/08/30 23:52:58  mmazur
- rel 2 for ac

Revision 1.26  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.25  2003/05/25 06:25:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/01/22 06:50:05  aflinta
- updated to version 0.15.0

Revision 1.23  2002/10/22 18:23:54  aflinta
- updated to version 0.14.0

Revision 1.22  2002/09/27 23:56:03  aflinta
- updated to version 0.13

Revision 1.21  2002/08/15 18:47:48  wolf
- removed stupid BR

Revision 1.20  2002/05/14 19:11:57  kloczek
- release 2: merge translations from KSI and Conecitiva.

Revision 1.19  2002/04/26 13:32:28  michuz
- updated to 0.12.0

Revision 1.18  2002/02/23 04:17:27  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:29:35  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/08 08:56:22  filon
- updated to 0.11.0

Revision 1.15  2002/01/18 02:14:37  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/28 18:39:14  misiek
- fixed things broken by kloczek

Revision 1.13  2001/08/23 16:52:00  filon
- changed: make -> %{__make}

Revision 1.12  2001/08/15 17:57:39  kloczek
- cleanups.

Revision 1.11  2001/08/15 16:54:43  mkochano
- Updated to 0.8.0.
- Despite of information at http://www.freedesktop.org/software/pkgconfig/
  it seems to still have problems with Cflags --- and simpy doesn't work.

Revision 1.10  2001/06/27 06:27:55  kloczek
- only bump release to 4.

Revision 1.9  2001/06/27 01:36:48  qboosh
- updated to 0.7.0 from different site

Revision 1.8  2001/06/18 15:54:36  wiget
- updated to 0.6.0

Revision 1.7  2001/05/12 03:23:53  kloczek
- reelease 3: make libtool hapy.

Revision 1.6  2001/05/07 07:40:47  cieciwa
- added %description -l pl

Revision 1.5  2001/04/09 23:54:02  kloczek
- release 2.

Revision 1.4  2001/04/07 09:41:53  qboosh
- added -a -c to automake
- use %_pkgconfigdir macro

Revision 1.3  2001/01/13 10:12:44  klakier
- fixed Summary

Revision 1.2  2001/01/04 06:24:41  kloczek
- rewrited in PLD stryle.
